
import java.io.*;
import java.net.*;

public class ServerConn
{
    Socket s;
    BufferedReader in;
    PrintWriter out;

    public ServerConn(String host, int port) throws Exception
    {
	s = new Socket(host, port);
	in = new BufferedReader(new InputStreamReader(s.getInputStream()));
	out = new PrintWriter(s.getOutputStream(), true);
    }

    public void send(String msg) throws Exception
    {
	System.out.print("Send: " + msg);
	this.out.print(msg);
        this.out.flush();
    }
    
    public String recv() throws Exception
    {
	String retval = this.in.readLine();
	System.out.println("Recv: " + retval);
	return retval;
    }

}
